Subject: Re: [PATCH net-next] sctp: fix compile issue with disabled CONFIG_NET_NS

From: [email-masked] (Eric W. Biederman)
Date: Thu, 16 Aug 2012 13:00:05 -0700

Ben Hutchings <[email-masked]> writes:

> On Thu, 2012-08-16 at 11:58 -0700, Eric W. Biederman wrote:
>> Ulrich Weber <[email-masked]> writes:
>> 
>> > struct seq_net_private has no struct net
>> > if CONFIG_NET_NS is not enabled
>> 
>> My mistake.
>> 
>> Reviewed-by: "Eric W. Biederman" <[email-masked]>
>> 
>> > Signed-off-by: Ulrich Weber <[email-masked]>
>> 
>> Ulrich do you get any performance advantage by disabling the network
>> namespace?
>> 
>> I am wondering if there is any benefit to keeping it possible to disable
>> the network namespace?
>> 
>> The original reason for the option was so that distributions and
>> other who wanted to avoid new code could protect their users, and
>> that reasons seems to have long since passed.
> [...]
>
> Network namespaces are now used by common applications such as Chrome/
> Chromium and vsftpd (which flushed out some of the early implementation
> problems).  They undoubtedly have some overhead that some users would
> like to avoid, but I wouldn't expect distributions to disable the
> option.

When the network namespace code was merged we could not mearsure the
overhead, at least not on gigabit ethernet.  And there is very little
code change when network namespaces go away.

So I am starting to look for people who care.  Especially for people who
can measure overhead associated with network namespaces.

Eric